<?php // phpcs:ignore - @generation-checksum CN-34-1297
/**
 * Country Class for China (CN).
 *
 * State/province count: 34
 * City count: 1297
 * City count per state/province:
 * - HN: 118 cities
 * - FJ: 111 cities
 * - SD: 90 cities
 * - GD: 72 cities
 * - HL: 71 cities
 * - TJ: 70 cities
 * - HB: 55 cities
 * - HA: 55 cities
 * - GZ: 54 cities
 * - JL: 52 cities
 * - TW: 52 cities
 * - LN: 51 cities
 * - SC: 49 cities
 * - ZJ: 41 cities
 * - HE: 39 cities
 * - XJ: 37 cities
 * - AH: 37 cities
 * - NM: 33 cities
 * - YN: 29 cities
 * - GX: 28 cities
 * - GS: 20 cities
 * - CQ: 18 cities
 * - SX: 18 cities
 * - JX: 16 cities
 * - SN: 14 cities
 * - HI: 14 cities
 * - XZ: 13 cities
 * - JS: 13 cities
 * - BJ: 8 cities
 * - QH: 8 cities
 * - NX: 7 cities
 * - SH: 4 cities
 *
 * @package WP_Ultimo\Country
 * @since 2.0.11
 */

namespace WP_Ultimo\Country;

// Exit if accessed directly
defined('ABSPATH') || exit;

/**
 * Country Class for China (CN).
 *
 * IMPORTANT:
 * This file is generated by build scripts, do not
 * change it directly or your changes will be LOST!
 *
 * @since 2.0.11
 *
 * @property-read string $code
 * @property-read string $currency
 * @property-read int $phone_code
 */
class Country_CN extends Country {

	use \WP_Ultimo\Traits\Singleton;

	/**
	 * General country attributes.
	 *
	 * This might be useful, might be not.
	 * In case of doubt, keep it.
	 *
	 * @since 2.0.11
	 * @var array
	 */
	protected $attributes = array(
		'country_code' => 'CN',
		'currency'     => 'CNY',
		'phone_code'   => 86,
	);

	/**
	 * The type of nomenclature used to refer to the country sub-divisions.
	 *
	 * @since 2.0.11
	 * @var string
	 */
	protected $state_type = 'province';

	/**
	 * Return the country name.
	 *
	 * @since 2.0.11
	 * @return string
	 */
	public function get_name() {

		return __('China', 'wp-ultimo-locations');

	} // end get_name;

	/**
	 * Returns the list of states for CN.
	 *
	 * @since 2.0.11
	 * @return array The list of state/provinces for the country.
	 */
	protected function states() {

		return array(
			'AH' => __('Anhui', 'wp-ultimo-locations'),
			'BJ' => __('Beijing', 'wp-ultimo-locations'),
			'CQ' => __('Chongqing', 'wp-ultimo-locations'),
			'FJ' => __('Fujian', 'wp-ultimo-locations'),
			'GS' => __('Gansu', 'wp-ultimo-locations'),
			'GD' => __('Guangdong', 'wp-ultimo-locations'),
			'GX' => __('Guangxi Zhuang', 'wp-ultimo-locations'),
			'GZ' => __('Guizhou', 'wp-ultimo-locations'),
			'HI' => __('Hainan', 'wp-ultimo-locations'),
			'HE' => __('Hebei', 'wp-ultimo-locations'),
			'HL' => __('Heilongjiang', 'wp-ultimo-locations'),
			'HA' => __('Henan', 'wp-ultimo-locations'),
			'HK' => __('Hong Kong SAR', 'wp-ultimo-locations'),
			'HB' => __('Hubei', 'wp-ultimo-locations'),
			'HN' => __('Hunan', 'wp-ultimo-locations'),
			'NM' => __('Inner Mongolia', 'wp-ultimo-locations'),
			'JS' => __('Jiangsu', 'wp-ultimo-locations'),
			'JX' => __('Jiangxi', 'wp-ultimo-locations'),
			'JL' => __('Jilin', 'wp-ultimo-locations'),
			'LN' => __('Liaoning', 'wp-ultimo-locations'),
			'MO' => __('Macau SAR', 'wp-ultimo-locations'),
			'NX' => __('Ningxia Huizu', 'wp-ultimo-locations'),
			'QH' => __('Qinghai', 'wp-ultimo-locations'),
			'SN' => __('Shaanxi', 'wp-ultimo-locations'),
			'SD' => __('Shandong', 'wp-ultimo-locations'),
			'SH' => __('Shanghai', 'wp-ultimo-locations'),
			'SX' => __('Shanxi', 'wp-ultimo-locations'),
			'SC' => __('Sichuan', 'wp-ultimo-locations'),
			'TW' => __('Taiwan', 'wp-ultimo-locations'),
			'TJ' => __('Tianjin', 'wp-ultimo-locations'),
			'XJ' => __('Xinjiang', 'wp-ultimo-locations'),
			'XZ' => __('Xizang', 'wp-ultimo-locations'),
			'YN' => __('Yunnan', 'wp-ultimo-locations'),
			'ZJ' => __('Zhejiang', 'wp-ultimo-locations'),
		);

	} // end states;

} // end class Country_CN;
